/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;


/**
 * Interface used for persistence-unit-ref element.
 * @author danesa
 */
public interface IPersistenceUnitRef extends IResourceGroup {

    /**
     * Name of this element.
     */
    String NAME = "persistence-unit-ref";

    /**
     * @return name of this persistence-unit-ref
     */
    String getPersistenceUnitRefName();

    /**
     * Sets the name of this persistence-unit-ref.
     * @param persistenceUnitName name of this reference
     */
    void setPersistenceUnitRefName(final String persistenceUnitName);

    /**
     * @return name of the persistence-unit containing this reference
     */
    String getPersistenceUnitName();

    /**
     * Sets the name of the persistence-unit containing this reference.
     * @param persistenceUnitName name of the persistence unit
     */
    void setPersistenceUnitName(final String persistenceUnitName);
}
