/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IPortComponentRef.java 4706 2009-02-25 13:24:59Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

import java.io.Serializable;
import java.util.Properties;

/**
 * Interface used for port-component-ref element.
 * @author Florent Benoit
 */
public interface IPortComponentRef extends Serializable {

    /**
     * Name of this element.
     */
    String NAME = "port-component-ref";

    boolean isEnableMTOM();

    void setEnableMTOM(boolean enableMTOM);

    String getPortComponentLink();

    void setPortComponentLink(String portComponentLink);

    String getServiceEndpointInterface();

    void setServiceEndpointInterface(String serviceEndpointInterface);

    /**
     * Sets stub properties.
     * @param stubProperties the given properties
     */
    void setStubProperties(Properties stubProperties);

    /**
     * @return stub properties
     */
    Properties getStubProperties();

}
