/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IResourceRef.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

/**
 * Interface used for resource-ref element.
 * @author Florent Benoit
 */
public interface IResourceRef extends IResourceGroup {

    /**
     * Name of this element.
     */
    String NAME = "resource-ref";

    /**
     * @return name of this resource-ref.
     */
    String getResRefName();

    /**
     * Sets the name of resource-ref.
     * @param resRefName name of this reference
     */
    void setResRefName(final String resRefName);

    /**
     * @return the type of this resource-ref.
     */
    String getResRefType();

    /**
     * Sets the type of this reference.
     * @param resRefType type of reference
     */
    void setResRefType(final String resRefType);

}
